import java.text.ParseException;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.Formatter;
import java.util.List;
import java.util.Scanner;

public class Group {

    Person person ;
    Scanner in = new Scanner(System.in);


    public List<Person> populateGroup(List<Person> persons, int number){
        for (int i=0; i<number; i++){
            System.out.println("Enter name:");
            String name = in.nextLine();

            System.out.println("Enter birthday in yyyy-MMM-dd");
            String date  = in.nextLine();
            DateTimeFormatter dateFormat = DateTimeFormatter.ofPattern("yyyy-MMM-d");
            LocalDate birthDay = (LocalDate.parse(date, dateFormat));

            System.out.println("Enter sex:");
            Person.Sex sex = Person.Sex.valueOf(in.nextLine().toUpperCase());

            System.out.println("enter email");
            String email = in.nextLine();
            person = new Person(name, birthDay, sex, email);
            persons.add(person);
        }
        return persons;
    }

    public static void printPersonsWithinAgeRange(List<Person> roster, int low, int high) {

        roster.forEach(p -> {if (low <= p.getAge() && p.getAge() < high) p.printPerson();});
    }

    public static void printPersons(List<Person> roster, CheckPerson tester) {

        roster.forEach(p->{if(tester.test(p)) p.printPerson();});
    }

    public static String printingPersons(List<Person> roster, CheckPerson tester) {

        for (Person p : roster) {
            if (tester.test(p)) {
                return p.getName() +" "+p.getEmailAddress();
            }
        }
        //roster.forEach(p ->{if(tester.test(p)) p.getName():" ";});
        return null;
    }
}
