import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.time.LocalDate;

import static org.junit.Assert.*;

public class PersonTest {
    Person person;
    LocalDate birthDay;

    @Before
    public void thisIsAtest() {
        birthDay = LocalDate.of(1991,9,20);
        person = new Person("roy", birthDay, Person.Sex.MALE, "reero@ymail.com");
    }

    @Test
    public void getAgeTest(){
        person.setBirthday(birthDay);
        int actual = 27;
        int expected = person.getAge();
        Assert.assertEquals(actual, expected);
    }

    @Test
    public void getSexTest(){
        Person.Sex actual = Person.Sex.MALE;
        Person.Sex expected = person.getGender();
        Assert.assertEquals(actual, expected);
    }
}

